Page MenuHomePhabricator

[pstl] Remove the stdlib headers from the PSTL and move them to the tests
ClosedPublic

Authored by ldionne on Apr 10 2019, 12:56 PM.

Details

Summary

PSTL should not provide those headers since they belong to the standard
library. Instead, we define a dummy standard library in the tests that
provides those headers.

Diff Detail

Repository
rL LLVM

Event Timeline

ldionne created this revision.Apr 10 2019, 12:56 PM
rodgert accepted this revision.Apr 11 2019, 2:13 PM

I'm not opposed to this change, but I wonder, should we then just remove the extra 'internal' directory, so that we get -

pstl/numeric_impl.h

?

Or should we move/rename the glue_Xxx files to pstl/ and keep everything else in pstl/internal ? Which is arguably now the library API after this change.

for libstdc++ I currently move 'internal' into 'pstl' so if do move/rename the glue files, I'd need to update my script (not an argument against doing this).

This revision is now accepted and ready to land.Apr 11 2019, 2:13 PM

I'm not opposed to this change, but I wonder, should we then just remove the extra 'internal' directory, so that we get -

pstl/numeric_impl.h

?

Or should we move/rename the glue_Xxx files to pstl/ and keep everything else in pstl/internal ? Which is arguably now the library API after this change.

Yes, doing something like that was the next step I was planning. As a different patch, though. Everything that's not part of the API of the library would stay in internal.

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptApr 16 2019, 7:38 AM